Drop a Postgres extension, optionally removing it from shared_preload_libraries
DELETE
/databases/{id}/extensions/{name}
const url = 'https://example.com/databases/example/extensions/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/databases/example/extensions/example \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
name
required
string
Query Parameters
Section titled “Query Parameters”removeFromPreload
Set to “true” to also remove the extension from shared_preload_libraries.
string
Set to “true” to also remove the extension from shared_preload_libraries.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
output
required
string
success
required
boolean
key
additional properties
Example generated
{ "output": "example", "success": true}